## org.eclipse.amp.amf.parameters.services
Class AParGrammarAccess.ParameterElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.parameters.services.AParGrammarAccess.ParameterElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  AParGrammarAccess

    public class AParGrammarAccess.ParameterElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`AParGrammarAccess.ParameterElements()`

Method Summary
`org.eclipse.xtext.Alternatives` `getAlternatives()`
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.RuleCall` `getSingleParameterParserRuleCall_0()`
`org.eclipse.xtext.RuleCall` `getSweepLinkParserRuleCall_2()`
`org.eclipse.xtext.RuleCall` `getSweepParameterParserRuleCall_1()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParGrammarAccess.ParameterElements

    public AParGrammarAccess.ParameterElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getAlternatives

    public org.eclipse.xtext.Alternatives getAlternatives()

### getSingleParameterParserRuleCall_0

    public org.eclipse.xtext.RuleCall getSingleParameterParserRuleCall_0()

### getSweepParameterParserRuleCall_1

    public org.eclipse.xtext.RuleCall getSweepParameterParserRuleCall_1()

### getSweepLinkParserRuleCall_2

    public org.eclipse.xtext.RuleCall getSweepLinkParserRuleCall_2()